Summary: Font viewer and installer for Nautilus 
Name: fontilus
Version: 0.4
Release: 2mdk
Source0: http://ftp.gnome.org/pub/GNOME/sources/fontilus/%{version}/%{name}-%{version}.tar.bz2
URL:	 http://ftp.gnome.org/pub/GNOME/sources/fontilus/
License: GPL
Group: System/Configuration/Other
BuildRoot: %{_tmppath}/%{name}-buildroot
Prefix: %{_prefix}
Buildrequires: libgnome-vfs2_0-devel
Buildrequires: libXft2-devel
BuildRequires: libgnomeui2-devel
Requires: nautilus >= 2.1

%description
Fontilus is a set of extensions for Nautilus to help manage fonts on
your system.  It consists of a number of components:

- libfont-method: a gnome-vfs method implementing the fonts:/// URI
  scheme.

- gnome-thumbnail-font: a program to render a small preview of a
  font.  Uses a custom stream implementation, so can render fonts
  from arbitrary gnome-vfs URIs (provided the file can be openned in
  random access mode).  For example, it can render files in
  fonts:///

- gnome-font-viewer: a simple program to display info about a font
  and render some of the glyphs.

%prep
%setup -q

%build
%define __libtoolize /bin/true
%configure2_5x
%make

%install
rm -rf $RPM_BUILD_ROOT

%makeinstall_std

%find_lang %{name}

#remove unpackaged files
rm -f %buildroot%{_libdir}/gnome-vfs-2.0/modules/libfont-method.la 



%clean
rm -rf $RPM_BUILD_ROOT

%post
GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`  gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/fontilus.schemas > /dev/null

%files -f %{name}.lang
%defattr(-,root,root)
%doc README AUTHORS ChangeLog
%config(noreplace) %{_sysconfdir}/gconf/schemas/fontilus.schemas
%config(noreplace) %{_sysconfdir}/gnome-vfs-2.0/modules/*
%{_bindir}/gnome-font-viewer
%{_bindir}/gnome-thumbnail-font
%{_libdir}/gnome-vfs-2.0/modules/libfont-method.so
%_libdir/bonobo/servers/fontilus.server
%_libdir/fontilus-context-menu
%{_datadir}/application-registry/fontilus.applications
%{_datadir}/gnome/vfolders/font-method.directory
%{_datadir}/mime-info/*


%changelog
* Wed Mar 12 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-2mdk
- fix buildrequires

* Sat Feb 15 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.4-1mdk
- add missing files
- new version

* Thu Jan 16 2003 Gtz Waschk <waschk@linux-mandrake.com> 0.3-2mdk
- rebuild with new ssl

* Thu Jan  9 2003 Frederic Crozat <fcrozat@mandrakesoft.com> 0.3-1mdk
- Release 0.3

* Fri Dec 27 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.2-2mdk
- rebuild

* Fri Dec 13 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 0.2-1mdk
- Release 0.2
- Add automatic thumbnailing
- Add OTF support

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1-2mdk
- fix the typo in the summary

* Fri Dec  6 2002 Gtz Waschk <waschk@linux-mandrake.com> 0.1-1mdk
- initial package

